ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Variables
odf.grammar Namespace Reference

## Variables
string | __doc__
dictionary | allowed_children
tuple | allows_text
dictionary | required_attributes
dictionary | allowed_attributes

## Variable Documentation

string odf.grammar.__doc__

Initial value:
1 = """ In principle the OpenDocument schema converted to python structures.
2 Currently it contains the legal child elements of a given element.
3 To be used for validation check in the API
4 """

Definition at line 21 of file grammar.py.

dictionary odf.grammar.allowed_attributes

Definition at line 4678 of file grammar.py.

dictionary odf.grammar.allowed_children

Definition at line 62 of file grammar.py.

tuple odf.grammar.allows_text

Definition at line 3619 of file grammar.py.

dictionary odf.grammar.required_attributes

Definition at line 3761 of file grammar.py.